// Test_KeyChkDlg.h : header file
//

#if !defined(AFX_TEST_KEYCHKDLG_H__1B6C827C_0EC2_49D6_809E_CECD72E0D38F__INCLUDED_)
#define AFX_TEST_KEYCHKDLG_H__1B6C827C_0EC2_49D6_809E_CECD72E0D38F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTest_KeyChkDlg dialog

class CTest_KeyChkDlg : public CDialog
{
// Construction
public:
	CTest_KeyChkDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTest_KeyChkDlg)
	enum { IDD = IDD_TEST_KEYCHK_DIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTest_KeyChkDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTest_KeyChkDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
    afx_msg void Do_KeyChk_Call(UINT keychk_func);
    afx_msg void OnButton1Click();
    afx_msg void OnButton2Click();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEST_KEYCHKDLG_H__1B6C827C_0EC2_49D6_809E_CECD72E0D38F__INCLUDED_)

// End of Source File.

